Description

After triggering one $20 cycle the timing board stops generating interrupts for the state machine.

History

#1 - 07/21/2015 08:06 PM - John Diamond

It would appear that this occurs after one or a couple machine cycles and persists until you restart bpmd.
Took a look at the timing board registers and noticed that they mostly return Oxffffs:

[root@bbpmts bbpmts]# hexdump -C -n512 /sys/bus/vme/devices/Booster\ Timing\ Mod
ule.0-0/registers

00000000 00 00 00 00 00 00 00 OO0 00 00 00 00 00 00 00 00 |.weveeeuunnenennn.
*

00000020 00 00 00 OO 00 OO 00 OO ff ff ff ff f£f ff £f ff |...... ... ... ...
00000030 02 00 5a 00 00 00 00 00 00 00 00 00 00 00 00 00 |..Z..eeuuuneennn.
00000040 00 00 00 00 00 OO0 00 OO 00 OO 00 OO0 00 00 00 00 Jeweeewwwueeeennnn
*

00000060 00 00 00 00 00 00 00 12 00 02 00 00 ff ff ff ff |.....ceunninvennn.
00000070 00 00 00 00 00 00 43 1a 91 8f 00 1a 00 00 07 10 |...... Coooocoooo
00000080 01 20 00 fe 00 fe 00 fe 00 fe 00 fe 00 fe 00 fe |. ...iiiuiionnn.
00000090 00 fe 00 fe 00 fe 00 fe 00 fe 00 fe 00 fe 00 fe |.....ceuvuvivenenn.
000000a0 00 00 00 00 00 OO 00 OO 00 OO 00 OO0 00 00 00 00 Jeweeewwwuweeennnn
*

000000c0 £f9 85 ef Of 84 65 bc £3 00 00 01 08 00 00 3c 04 |..... €. <.
00000040 80 10 00 00 fO 34 e0 3b 00 00 40 00 a0 5c 04 80 |..... 4.;..0..0\..
000000e0 00 00 00 OO 00 OO 00 OO 00 OO 00 OO0 OO0 00 00 00 Jeweeewwuwuwueennnn
*

00000110 00 00 00 00 00 OO 00 OO 00 OO ff ff ff ff ff ff |...... ... ... ..
00000120 00 00 00 OO0 00 OO 00 OO 00 OO 00 OO0 OO0 00 00 00 Jeweeewwuwuiueewnnn

*

00000140 f£f ff ff ff ff ff ff £ff ff ff ff ff £ff £ff £f £f |.... ... ... ... ...

*

00000200

Suspect that this may have something to do with the efforts to make alarm interrupts work. Commented out the alarm setup/cancel steps in the
StateMachine code. Will try it out in the AM.

#2 - 07/22/2015 10:27 AM - John Diamond

Yea, that did it. Leaving the timer stuff commented out for now. Going ahead with rigging the down-converter test.

#3 - 07/22/2015 10:51 AM - John Diamond
- Status changed from New to Resolved

- % Done changed from 0 to 100

Closing this ticket assuming that the problem will be fixed with alarm interrupts (#9383).

#4 - 07/22/2015 10:53 AM - John Diamond

- Status changed from Resolved to Closed

#5 - 11/24/2015 02:23 PM - John Diamond

- Status changed from Closed to Assigned
- % Done changed from 100 to 0

Put the alarms back in and this is still occurring.
